/**
Theme Name: Jut So Child-Theme
Author: jut-so GmbH
Author URI: https://jut-so.de
Description: Jut So Custom Child Theme basierend auf dem Hello Elementor Theme. 
Version: 1.1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: jut-so-child-theme
Template: hello-elementor
*/

/* variable.css and layout.css included via functions.php */

/* Default headline margins
 * Note: Pay attention to widget spacing. 
 * When using heading widget, margin-bottom is set to 0
 * then the spacing is controlled by the widget spacing
  .elementor-widget.elementor-widget.elementor-widget-heading .elementor-widget-container 
 */

body {
	-webkit-font-smoothing: antialiased;
	/* requested by design for retina displays */
	font-synthesis:none;
}
/* iOs horizontal scroll fix */
html,body {
	overflow-x:hidden;
}

* {
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	tap-highlight-color: transparent;
}

h1, h2, h3, h4, h5, h6,
.elementor-widget-container h1,
.elementor-widget-container h2,
.elementor-widget-container h3,
.elementor-widget-container h4,
.elementor-widget-container h5,
.elementor-widget-container h6 {
	margin: .5em 0 .5em 0;
}

/* Utility classes for headlines */
.h1,
.h1 .elementor-heading-title,
[class*="elementor-kit-"] .h1 {
    font-family: var(--h1-font-family);
	color: var(--h1-default-color);
	font-size: var(--h1-font-size);
	line-height: var(--h1-line-height);
	font-weight: var(--h1-font-weight);
}

.h2,
.h2 .elementor-heading-title,
[class*="elementor-kit-"] .h2 {
    font-family: var(--h2-font-family);
	color: var(--h2-default-color);
	font-size: var(--h2-font-size);
	line-height: var(--h2-line-height);
	font-weight: var(--h2-font-weight);
}

.h3,
.h3 .elementor-heading-title,
[class*="elementor-kit-"] .h3 {
    font-family: var(--h3-font-family);
	color: var(--h3-default-color);
	font-size: var(--h3-font-size);
	line-height: var(--h3-line-height);
	font-weight: var(--h3-font-weight);
}

.h4,
.h4 .elementor-heading-title,
[class*="elementor-kit-"] .h4 {
    font-family: var(--h4-font-family);
	color: var(--h4-default-color);
	font-size: var(--h4-font-size);
	line-height: var(--h4-line-height);
	font-weight: var(--h4-font-weight);
}

p.lg {
	font-family: var(--paragraphplg-font-family, "jut-so Plex Sans Variable", sans-serif);
	font-size: var(--paragraphplg-font-size, 24px);
	letter-spacing: var(--paragraphplg-letter-spacing, 0.25px);
}

/* increase space between font and underline for a tags */
a {
	text-decoration: underline;
	text-underline-offset: 0.25em;
}

::-moz-selection {
    background: #ff5100;
    color: #fff
}

::selection {
    background: #ff5100;
    color: #fff
}

/* Secondary button */
.secondary-button .elementor-button {
	color: var(--light-green);
    background-color: transparent;
    border-style: solid;
    border-color: var(--light-green);
}

.elementor-widget-text-editor a {
	text-decoration: underline;
	color: inherit;
	text-underline-offset: 0.25em;
}

.elementor-widget-text-editor a:hover {
	opacity: 0.8;
}

.jut-so-sticker-label{
	background-color: var(--green500);
	color: var(--text);
	padding: 16px;
	line-height: .8em !important;
	border-radius: 15.381px;	
	width: min-content;
	display: inline-block;
	white-space: nowrap;
	transition: transform 0.3s cubic-bezier(.47,1.64,.41,.8);
	border: 1.5px solid var(--green500);
}


@media(max-width:767px) {
	.jut-so-sticker-label {
		padding:12px;
		
	}
}

.jut-so-sticker-label a{
	color: var(--black) !important;
	
}

.jut-so-sticker-label-blue a,
.jut-so-sticker-label-purple a{
	color: var(--white) !important;
}

.jut-so-sticker-label-blue{
	background-color: var(--blue500);
	color: var(--white) !important;
	border: 1.5px solid var(--blue500);
}

.jut-so-sticker-label-purple{
	background-color: var(--purple700);
	color: var(--white) !important;
	border: 1.5px solid var(--primr);
}

@media (max-width: 767px) {
	.jutso-shape-crop-mobile .elementor-shape svg {
		width:200%;
		transform-origin: center bottom;
	}
}

/* Case Template Styles */
.info-tags {
	display:flex;
	flex-wrap:wrap;
	gap:8px;
}
.info-tags a {
	padding: 8px;
	background-color: var(--primr);
	font-family: "Jut-So Sans", Sans-serif;
	font-size: clamp(12px, calc(0.75rem + ((1vw - 4.8px) * 0.3030)), 14px);
	font-weight: 700;
	text-transform: uppercase;
	line-height: 100%;
	letter-spacing: 1.75px;
	color: #F5F7FA;
	border-radius: 4px;
	max-height:30px;
}
.info-tags a:hover {
	color: var(--neutral200);
}
.info-tags.bright-info-tags a {
	background-color: var(--white);
	color: var(--blue500);
	border: 1.5px solid var(--neutral400);
	padding: 4px 8px;
	min-height: 30px;
	display: flex;
	align-items: center;
}
.info-tags.bright-info-tags a:hover {
	color: var(--blue300);
}

.info-tags.bright-info-tags a.active-term {
	background-color: var(--primr);
	color: #F5F7FA;
	border:none;
}

button.info-tags__more-pill {
	padding: 4px 8px;
	background-color: transparent;
	border: 1.5px solid var(--primr);
	font-family: "Jut-So Sans", Sans-serif;
	font-size: clamp(12px, calc(0.75rem + ((1vw - 4.8px) * 0.3030)), 14px);
	font-weight: 700;
	text-transform: uppercase;
	line-height: 100%;
	letter-spacing: 1.75px;
	color: #F5F7FA;
	border-radius: 4px;
	max-height:30px;
}
button.info-tags__more-pill:hover {
	background-color: var(--primr);
	color: #F5F7FA;
	border-radius: 4px !important;
	border: 1.5px solid var(--primr) !important;
}

.info-table .elementor-icon-wrapper {
    display:flex;
}
.info-table .partner-row a,
.info-table .result-row a {
    text-decoration:underline;
    text-underline-offset: 6px;
}
.info-row {

}

.image-border {
	border: 1.5px solid rgba(255, 255, 255, 0.25) !important;
}
.image-border-12 {
	border-radius: 12px	!important;
}

span.jut-so-text-highlight{
	color: var(--sekundre);
	display: inline;
	font-weight: 700;
	font-size: inherit;
}

span.primr{
	color: var(--primr);
}

.elementor-toc__list-item-text-wrapper .e-font-icon-svg.e-fas-circle {
	display:none;
}
.elementor-toc__list-item-text {
	display:flex;
	align-items:flex-start;
	gap:6px;
	justify-content:flex-start;
}
.elementor-toc__list-item-text::before {
	content:"";
	margin-top:5px;
	height:12px;
	width:12px;
	display:block;
	background-image: url("https://jut-so.de/wp-content/uploads/arrow_forward-2.svg");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

.wp-block-table td, .wp-block-table th{
	background-color: transparent !important;
}

.wp-block-table td{
	border-top: 1px solid #c8d1e0;
	border-bottom: 1px solid #c8d1e0;
	border-right: none;
	border-left: none;
	padding: 8px 0 !important;
}

.wp-block-table th{
	border: none;
	font-size: var(--headingslabelrg-font-size);
	line-height: var(--headingslabelrg-line-height);
	font-family: var(--headingslabelrg-font-family);
	font-weight: 700;
	text-transform: var(--headingslabelrg-text-transform);
	letter-spacing: var(--headingslabelrg-letter-spacing);
	word-spacing: var(--headingslabelrg-word-spacing);
	text-align: left;
	padding: 0 0 32px 0 !important;
}

.loop-grid-pagination span.page-numbers {
	opacity:0.8;
}

.wpml-elementor-ls{
	border-radius: 8px !important;
}

.wpml-ls,
.wpml-ls-sub-menu{
	background: transparent !important;
}

.wpml-ls-item a{
	padding: 8px 16px !important;
	--border-radius-top-left: 8px !important;
	--border-radius-top-right: 8px !important;
	--border-radius-bottom-left: 8px !important;
	--border-radius-bottom-right: 8px !important;
	border-radius: var(--border-radius-top-left) var(--border-radius-top-right) var(--border-radius-bottom-left) var(--border-radius-bottom-right) !important;
}

.wpml-ls-item-toggle[aria-expanded="true"]{
	--border-radius-bottom-left: 0 !important;
	--border-radius-bottom-right: 0 !important;
}

.js-wpml-ls-sub-menu .wpml-ls-item:first-of-type a{
	--border-radius-top-left: 0px !important;
	--border-radius-top-right: 0px !important;
}


.js-wpml-ls-sub-menu .wpml-ls-item:last-of-type a{
	--border-radius-bottom-left: 8px !important;
	--border-radius-bottom-right: 8px !important;
}

.wpml-ls-item-toggle{
	display: flex !important;
	align-items: center !important;
	column-gap: 4px !important;
}

.wpml-ls-item-toggle span {
	flex: 1 0;
} 

.wpml-ls-item-toggle::before{
	content:"";
	display:block;
	mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M12.87%2015.07L10.33%2012.56L10.36%2012.53C12.1%2010.59%2013.34%208.36%2014.07%206H17V4H10V2H8V4H1V5.99H12.17C11.5%207.92%2010.44%209.75%209%2011.35C8.07%2010.32%207.3%209.19%206.69%208H4.69C5.42%209.63%206.42%2011.17%207.67%2012.56L2.58%2017.58L4%2019L9%2014L12.11%2017.11L12.87%2015.07ZM18.5%2010H16.5L12%2022H14L15.12%2019H19.87L21%2022H23L18.5%2010ZM15.88%2017L17.5%2012.67L19.12%2017H15.88Z%22%20fill%3D%22%23081140%22%2F%3E%3C%2Fsvg%3E");
	width: 24px;
	height: 24px;
	background-color: var(--blue500);
}

.wpml-ls-item-toggle::after{
	content:"";
	background-color: var(--blue500);
	mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M12.0002%205.83L15.1702%209L16.5802%207.59L12.0002%203L7.41016%207.59L8.83016%209L12.0002%205.83ZM12.0002%2018.17L8.83016%2015L7.42016%2016.41L12.0002%2021L16.5902%2016.41L15.1702%2015L12.0002%2018.17Z%22%20fill%3D%22%23081140%22%2F%3E%3C%2Fsvg%3E");
	width: 24px;
	height: 24px;
	position: relative !important;
	top: unset !important;
	right: unset !important
}

body.single-case p a,
body.single-case .button-link a,
body.single-case .special-link-container a {
	color: #fff;
	text-decoration: underline !important;
	text-decoration-thickness: 1px !important;
	transition: 0.3s;
}
body.single-case p a:hover,
body.single-case .button-link a:hover,
body.single-case .special-link-container a:hover {
	color: var( --e-global-color-3876551 ) !important;
}